/* @(#)infotools.h	1.1 9/4/92 */
/***************************************************************************/
/*
        Name: infotools.h
 Description: Header file for infotools functions.
     History: 08/91  Todd Stellhorn  - original coding
              10/11/91 MDG - use new infolib version 2.1 (infolib21)
              11/06/91 MDG - change location of infolib21 to /sleet1
              04/92  tms - final coding
              09/92  tms - flush stdout and stderr on exit
 */
/***************************************************************************/

#include "infolib.h"

#define OK_STRING "&s .INFOStatus := .true.\n"
#define ERR_STRING "&s .INFOStatus := .false.\n"

#define FatalError( mess ) \
     { \
          fprintf( stderr, "%s\n", mess ); \
          fprintf( stdout, ERR_STRING ); \
          fflush( stdout ); \
          fflush( stderr ); \
          exit( 1 ); \
     }

/*                                             end of infotools.h          */
